Favorite TV
curl --request GET \
--url https://api.themoviedb.org/3/account/{account_id}/favorite/tv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{account_id}/favorite/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{account_id}/favorite/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg",
"first_air_date": "2023-11-22",
"genre_ids": [
10764
],
"id": 204082,
"name": "Squid Game: The Challenge",
"origin_country": [
"GB"
],
"original_language": "en",
"original_name": "Squid Game: The Challenge",
"overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.",
"popularity": 1656.181,
"poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg",
"vote_average": 6.5,
"vote_count": 369
}
],
"total_pages": 1,
"total_results": 1
}Favorite TV
This endpoint get user’s list of favorite tv shows.
GET
/
3
/
account
/
{account_id}
/
favorite
/
tv
Favorite TV
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
user's account id
Query Parameters
langaugae based on region
page number to retrieve specific paginated results.
session ID for authentication or tracking purposes
Sort the results either in ascending order or descending order
Response
200 - application/json
Favorite TV
Example:
1
Show child attributes
Show child attributes
Example:
[ { "adult": false, "backdrop_path": "/fQsIJQxE1D0Y0NpWSKwo489y5px.jpg", "first_air_date": "2023-11-22", "genre_ids": [10764], "id": 204082, "name": "Squid Game: The Challenge", "origin_country": ["GB"], "original_language": "en", "original_name": "Squid Game: The Challenge", "overview": "In this reality competition show inspired by \"Squid Game,\" 456 players put their skills to the ultimate test for a life-changing $4.56 million prize.", "popularity": 1656.181, "poster_path": "/y85L9DWoaM2MYNg1p8QRywxXJsa.jpg", "vote_average": 6.5, "vote_count": 369 } ]
Example:
1
Example:
1
⌘I